Package ghidra.program.util

# Class FunctionParameterFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.FunctionLocation
ghidra.program.util.FunctionSignatureFieldLocation
ghidra.program.util.FunctionParameterFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

Direct Known Subclasses:
  `FunctionParameterNameFieldLocation`

public class FunctionParameterFieldLocation extends FunctionSignatureFieldLocation

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.FunctionLocation

  `functionAddr`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionParameterFieldLocation()`
  Default constructor needed for restoring a program location from XML
  `FunctionParameterFieldLocation(Program program, Address locationAddr, Address functionAddr, int charOffset, String signature, Parameter parameter)`
  Construct a new FunctionParameterFieldLocation object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getOrdinal()`
  `Parameter`
  `getParameter()`
  Returns the parameter associated with this location.
  `void`
  `restoreState(Program restoreProgram, SaveState obj)`
  Restore this function location using the given program and save state object.
  `void`
  `saveState(SaveState obj)`
  Save this function location to the given save state object.
  `String`
  `toString()`
  Returns a String representation of this location.

  ### Methods inherited from class ghidra.program.util.FunctionSignatureFieldLocation

  `getSignature, hashCode, isFieldBasedPositioning`

  ### Methods inherited from class ghidra.program.util.FunctionLocation

  `getFunctionAddress, isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionParameterFieldLocation

    public FunctionParameterFieldLocation(Program program, Address locationAddr, Address functionAddr, int charOffset, String signature, Parameter parameter)
    Construct a new FunctionParameterFieldLocation object.
    Parameters:
      `program` - the program of the location
      `locationAddr` - the address of the listing location (i.e., referent code unit)
      `functionAddr` - the function address
      `charOffset` - the position within the function signature string for this location.
      `signature` - the function signature string at this location.
      `parameter` - the function parameter at this location.

  - ### FunctionParameterFieldLocation

    public FunctionParameterFieldLocation()
    Default constructor needed for restoring a program location from XML

- ## Method Details

  - ### getParameter

    public Parameter getParameter()
    Returns the parameter associated with this location. This value can be null if the parameters are deleted from the function associated with the address of the parameter.
    Returns:
      the parameter

  - ### getOrdinal

    public int getOrdinal()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `FunctionSignatureFieldLocation`
    See Also:
      - `Object.equals(java.lang.Object)`

  - ### toString

    public String toString()
    Returns a String representation of this location.
    Overrides:
      `toString` in class `FunctionSignatureFieldLocation`

  - ### saveState

    public void saveState(SaveState obj)
    Description copied from class: `FunctionLocation`
    Save this function location to the given save state object.
    Overrides:
      `saveState` in class `FunctionSignatureFieldLocation`
    Parameters:
      `obj` - the save state object for saving the location

  - ### restoreState

    public void restoreState(Program restoreProgram, SaveState obj)
    Description copied from class: `FunctionLocation`
    Restore this function location using the given program and save state object.
    Overrides:
      `restoreState` in class `FunctionSignatureFieldLocation`
    Parameters:
      `restoreProgram` - the program containing the function location
      `obj` - the save state object for saving the location